/* Inspired by MVP.css v1.17.3 - https://github.com/andybrewer/mvp */

* {
    padding: 0;
    margin: 0;
}

:root {
  --border-radius: 0px;
  --box-shadow: 2px 2px 10px;
  --color-accent: #118bee15;
  --color-bg: #fff;
  --color-bg-secondary: #e9e9e9;
  --color-link: #118bee;
  --color-secondary: #920de9;
  --color-secondary-accent: #920de90b;
  --color-shadow: #f4f4f4;
  --color-table: #118bee;
  --color-text: #000;
  --color-text-secondary: #999;
  --color-scrollbar: #cacae8;
  --font-family: "Noto Serif", serif;
  --font-family-mono: "Ubuntu Mono", monospace;
  --hover-brightness: 1.2;
  --justify-important: center;
  --justify-normal: left;
  --line-height: 1.3;
  --width-content: 1080px;
}

html {
  scroll-behavior: smooth;
}

body {
  background: var(--color-bg);
  color: var(--color-text);
  font-family: var(--font-family);
  line-height: var(--line-height);
  margin: 0;
  overflow-x: hidden;
  padding: 0;
}

main, header, footer {
   margin: 0 auto;
   max-width: var(--width-content);
   padding: 3rem 1rem;
}

hr {
  background-color: var(--color-bg-secondary);
  border: none;
  height: 1px;
  margin: 2rem 0;
  width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1;
  text-wrap: balance;
  margin-top: 25px;
  margin-bottom: 15px;
}


h1::before,
h2::before,
h3::before,
h4::before,
h5::before,
h6::before {
    display: inline-block;
    width: 30px;
    margin-right: 10px;
    color: var(--color-text-secondary);
    font-size: 1rem;
    margin-left: -40px;
    text-align: right;
}

h1::before {
    content: "H1";
}

h2::before {
    content: "H2";
}

h3::before {
    content: "H3";
}

h4::before {
    content: "H4";
}

h5::before {
    content: "H5";
}

h6::before {
    content: "H6";
}

h1 {
    font-size: 2rem;
}

h2 {
    font-size: 1.75rem;
    margin-bottom: 5px;
    padding-bottom: 10px;
    border-bottom: 2px solid var(--color-bg-secondary);
}

h3 {
    font-size: 1.5rem;
}

h4 {
    font-size: 1.25rem;
}

h5 {
    font-size: 1.125rem;
}

h6 {
    font-size: 1rem;
}

small {
    font-size: 0.875rem;
}

ol, ul {
    padding-inline-start: 18px;
}

ol li, ul li {
    padding: 0;
}

p {
  margin: 0.75rem 0;
  padding: 0;
  width: 100%;
}


pre {
  margin: 1rem 0;
  max-width: var(--width-card-wide);
  padding: 1rem 0;
}

code {
  background-color: var(--color-accent);
  border-radius: var(--border-radius);
  color: var(--color-text);
  display: inline-block;
  margin: 0 0.1rem;
  padding: 0 0.5rem;
}

pre,
code {
  font-family: var(--font-family-mono);
}

pre code {
  display: block;
  max-width: var(--width-card-wide);
  padding: 0.5rem 2rem;
  white-space: pre-wrap;
}

/* Links */
a {
  color: var(--color-link);
  display: inline-block;
  font-weight: bold;
  text-decoration: underline;
}

a:visited,
area:visited {
  color: var(--color-secondary);
}

a:hover {
  filter: brightness(var(--hover-brightness));
}

a:active {
  filter: brightness(var(--active-brightness));
}

a b,
a em,
a i,
a strong {
  border-radius: var(--border-radius);
  display: inline-block;
  font-size: medium;
  font-weight: bold;
  line-height: var(--line-height);
  margin: 0.5rem 0;
  padding: 1rem 2rem;
}

a b,
a strong {
  background-color: var(--color-link);
  border: 2px solid var(--color-link);
  color: var(--color-bg);
}

a em,
a i {
  border: 2px solid var(--color-link);
  border-radius: var(--border-radius);
  color: var(--color-link);
  display: inline-block;
  padding: 1rem 2rem;
}

/* Images */
figure {
  margin: 0;
  padding: 0;
}

figure img {
  max-width: 100%;
}

figure figcaption {
  color: var(--color-text-secondary);
}

/* Tables */
table {
  border-left: 1px solid var(--color-bg-secondary);
  border-top: 1px solid var(--color-bg-secondary);
  border-spacing: 0;
  display: inline-block;
  max-width: 100%;
  overflow-x: auto;
  padding: 0;
  white-space: nowrap;
  margin-top: 10px;
}

table td,
table th,
table tr {
  padding: 0.4rem 0.8rem;
  text-align: var(--justify-important);
}

table thead {
  background-color: var(--color-table);
  border-collapse: collapse;
  border-radius: var(--border-radius);
  color: var(--color-bg);
  margin: 0;
  padding: 0;
}

table thead tr:first-child th:first-child {
  border-top-left-radius: var(--border-radius);
}

table thead tr:first-child th:last-child {
  border-top-right-radius: var(--border-radius);
}

table thead th:first-child,
table tr td:first-child {
  text-align: var(--justify-normal);
}

/*
table tr:nth-child(even) {
  background-color: var(--color-accent);
}
*/

table th,
table td {
    white-space: normal;
    border-right: 1px solid var(--color-bg-secondary);
    border-bottom: 1px solid var(--color-bg-secondary);
}

/* Quotes */
blockquote {
    margin: 0;
    padding: 0 1em;
    color: var(--fgColor-muted);
    border-left: .25em solid var(--color-accent);
}

blockquote footer {
  color: var(--color-text-secondary);
  display: block;
  font-size: small;
  line-height: var(--line-height);
  padding: 1.5rem 0;
}
